#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# Parametry
$CIĄGPOŁĄCZENIA = 
"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + `
"H:\WPS\B_BazyDanych\BazaKont.mdb;"
$SQL = "Select * from konta order by nazwisko"

# Otwieranie połączenia
"Otwieranie bazy danych..."
$połączenie = New-Object System.Data.OLEDB.OLEDBConnection($CIĄGPOŁĄCZENIA)
$połączenie.open()
"Stan bazy danych: " + $połączenie.State

# Wykonywanie polecenia SQL
"Wykonywanie instrukcji: " + $SQL
$cmd = New-Object System.Data.OLEDB.OLEDBCommand($sql,$połączenie)
$ada = New-Object System.Data.OLEDB.OLEDBDataAdapter($cmd)
$ds = New-Object System.Data.DataSet
$ada.Fill($ds, "użytkownicy") | Out-null
$ada.Fill($ds) | Out-null
"Liczba tabel w zbiorze: " + $ds.Tables.Count
"Liczba wierszy w tabeli 0: " + $ds.Tables[0].Rows.Count

# Dostęp do tabeli
$Table = $ds.Tables["użytkownicy"]

# Dane wyjściowe
"Dane tabeli:"
$Table | Select imię, nazwisko, id

# Eksport do XML
$Table.WriteXml("H:\demo\WPS\B_BazyDanych\konta.xml")
$Table.WriteXmlSchema("H:\demo\WPS\B_BazyDanych\konta.xsd")
